#!/bin/bash

# NOTE: Use pimpl to hide the implementation details (headers from dependencies)

set -e

if [ "$1" == "armv8" ]; then
    # Build for armv8
    cargo build --release --target aarch64-unknown-linux-gnu
    cargo run --bin generate-headers --features headers -- "include/tsdb.rust.h"
else
    # Build for current platform (x86-64)
    cargo build --release
    cargo run --bin generate-headers --features headers -- "include/tsdb.rust.h"
fi

# Done!
echo ✅ Project has been successfully deployed.
